Bug 44305 - [IVB]The Edp can't work while booting with a monitor
[IVB]The Edp can't work while booting with a monitor
Status: VERIFIED NOTOURBUG
Product: DRI
Classification: Unclassified
Component: DRM/Intel
unspecified
Other All
: medium critical
Assigned To: Jesse Barnes
:
: 44515 (view as bug list)
Depends on:
Blocks: 44309 44622
  Show dependency treegraph
 
Reported: 2011-12-29 22:55 UTC by Guang Yang
Modified: 2013-01-26 10:51 UTC (History)
6 users (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg.log (43.92 KB, text/plain)
2011-12-29 22:55 UTC, Guang Yang
no flags Details
fixup dp bpc calculations (3.32 KB, patch)
2012-01-26 03:51 UTC, Daniel Vetter
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Guang Yang 2011-12-29 22:55:38 UTC
Created attachment 54966 [details]
dmesg.log

System Environment:
--------------------------
Platform:        IvyBridge(chief river)
Kernel: (drm-intel-next)097354eb14fa94d31a09c64d640643f58e4a5a9a

Bug detailed description:
-------------------------
Every time I start the system with a monitor ,the edp can't light up,but if we boot with no other monitor,the EDP can work ,then plug in a monitor,the edp and the monitor all can work well.
Comment 1 Jesse Barnes 2012-01-11 11:04:42 UTC
*** Bug 44515 has been marked as a duplicate of this bug. ***
Comment 2 Daniel Vetter 2012-01-26 03:51:19 UTC
Created attachment 56177 [details] [review]
fixup dp bpc calculations

Can you please try this patch?
Comment 3 Guang Yang 2012-02-07 01:50:27 UTC
(In reply to comment #2)
> Created attachment 56177 [details] [review] [review]
> fixup dp bpc calculations
> Can you please try this patch?
I have try this patch with latest drm-intel-testing,the issue still occurs.
Comment 4 Jesse Barnes 2012-04-05 14:39:58 UTC
If I change the BIOS settings to use the LFP as the default VBIOS display, then I can boot with external graphics plugged in and things work.

I wonder if the BIOS on this machine is changing some display muxes around on the board at boot which prevents us from driving the eDP panel in some configs.

We'll have to test with a real system to verify.
Comment 5 Yi Sun 2012-04-05 20:32:34 UTC
Yeah, indeed when I set LFP display as default, the issue is gone.
Comment 6 Jesse Barnes 2012-04-09 15:17:36 UTC
Figured out the root cause of this one finally.  It appears that the BIOS on the SDV doesn't set the panel power sequencing timing registers to valid values in the non-LFP case.  So when we try to boot with external monitors attached, we can never power up the panel.

I also found an issue with backlight control; in the eDP case we don't try setting the CPU backlight control regs or switch the PCH to override the CPU backlight controller...
Comment 7 Jesse Barnes 2012-04-10 12:01:38 UTC
Looks like a BIOS bug in the SDVs.  I posted a patch to at least sanity check the panel PPS regs so we won't see an eDP output in that case.
Comment 8 Florian Mickler 2012-07-01 03:48:49 UTC
A patch referencing this bug report has been merged in Linux v3.5-rc1:

commit bfa3384a9a84aaaa59443bbd776c142e7dba4b0f
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Tue Apr 10 11:58:04 2012 -0700

    drm/i915: check PPS regs for sanity when using eDP
Comment 9 Florian Mickler 2012-12-22 09:23:41 UTC
A patch referencing a commit referencing this bug report has been merged in Linux v3.8-rc1:

commit 82ed61fa1a4e08d5f9e86fb1b715b50ed678b6ac
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Sat Oct 20 20:57:41 2012 +0200

    drm/i915: make edp panel power sequence setup more robust
Comment 10 Florian Mickler 2013-01-26 10:51:52 UTC
A patch referencing a commit referencing this bug report has been merged in Linux v3.8-rc5:

commit f30d26e468322b50d5e376bec40658683aff8ece
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Wed Jan 16 10:53:40 2013 +0200

    drm/i915/eDP: do not write power sequence registers for ghost eDP